Changing object color

Phenom
Phenom

I have a line created in a draft sheet using

Dim oLine As SolidEdgeFrameworkSupport.Line2d = oDoc.ActiveSheet.Lines2d.AddBy2Points(ox, oy, nx, ny)

 

Changing the line color using
oLine.Style.LinearColor = 32768

or

oLine.Style.LinearColor = seColorDarkGreen

 

does not set the line color. Am I missing something obvious - any refresh, update, etc.

Any hint is highly appreciated.

 

2 REPLIES

This is working for me! This must be a bug in the version...

Solution Partner Phenom Solution Partner Phenom
Solution Partner Phenom

This is working for me! This must be a bug in the version you are using...

I am on ST7.

Re: This is working for me! This must be a bug in the version...

Phenom
Phenom
Wow! you are on ST7
I too found it to be working and realized it was hasty on my part to post the question, whereupon I deleted this question within few minutes - Don't know how its still alive.
Thanks for your reply though Smiley Happy